For the complete documentation index, see llms.txt. This page is also available as Markdown.

Groups

Returns groups for the tenant

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Responses
200

OK

Groups are used to apply event notifications, send messages or assign check-in schedules to multiple devices using a single action.

GroupIdstring · nullableOptional

A unique identifier of the group

GroupNamestring · min: 1Required

A string with name of the group

get/V2/{tenantVarCode}/groups
GET /V2/{tenantVarCode}/groups HTTP/1.1
Accept: */*
200

OK

[
  {
    "GroupId": "text",
    "GroupName": "text",
    "Tags": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  }
]

Creates a new group

post
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Body

Groups are used to apply event notifications, send messages or assign check-in schedules to multiple devices using a single action.

GroupIdstring · nullableOptional

A unique identifier of the group

GroupNamestring · min: 1Required

A string with name of the group

Responses
200

OK

No content

post/V2/{tenantVarCode}/groups
POST /V2/{tenantVarCode}/groups HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 79

{
  "GroupId": "text",
  "GroupName": "text",
  "Tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
200

OK

No content

Returns group

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

groupIdstringRequired

Group Id

Responses
200

OK

Groups are used to apply event notifications, send messages or assign check-in schedules to multiple devices using a single action.

GroupIdstring · nullableOptional

A unique identifier of the group

GroupNamestring · min: 1Required

A string with name of the group

get/V2/{tenantVarCode}/groups/{groupId}
GET /V2/{tenantVarCode}/groups/{groupId} HTTP/1.1
Accept: */*
200

OK

{
  "GroupId": "text",
  "GroupName": "text",
  "Tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Updates group

put
Path parameters
tenantVarCodestringRequired

Tenant Var Code

groupIdstringRequired

Group Id

Body

Groups are used to apply event notifications, send messages or assign check-in schedules to multiple devices using a single action.

GroupIdstring · nullableOptional

A unique identifier of the group

GroupNamestring · min: 1Required

A string with name of the group

Responses
200

OK

No content

put/V2/{tenantVarCode}/groups/{groupId}
PUT /V2/{tenantVarCode}/groups/{groupId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 79

{
  "GroupId": "text",
  "GroupName": "text",
  "Tags": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
200

OK

No content

Deletes group

delete
Path parameters
tenantVarCodestringRequired

Tenant Var Code

groupIdstringRequired

Group Id

Responses
200

OK

No content

delete/V2/{tenantVarCode}/groups/{groupId}
DELETE /V2/{tenantVarCode}/groups/{groupId} HTTP/1.1
Accept: */*
200

OK

No content

Last updated